<img src="https://git.berlin/m/git.berlin/raw/branch/master/assets/logo-gitberlin.png" height="100">

# git.berlin

> Gitea installation notes [git.berlin](https://git.berlin)

- [Migration from GitLab](#migration-from-gitlab)
- [Update Gitea](#update-gitea)
- [Customization](#customization)
- [Handy commands](#handy-commands)
- [Gitea Documentation](#gitea-documentation)

---

## Migration from GitLab

- [`bin/migrate-gitlab-gitea.sh`](bin/migrate-gitlab-gitea.sh)

## Update Gitea

- [`bin/update-gitea.sh`](bin/update-gitea.sh)

Update script sets options by default, can be changed at top of script:

| Option        | Default       | Description   |
| ------------- | ------------- | ------------- |
| `giteaBinary` | `/home/git/gitea/gitea` | Gitea binary path |
| `arch`        | `linux-amd64` | Server architecture |
| `giteaStore`  | `/home/git/gitea-update` | Directory where update files will be stored |
| `giteaUser`   | `git`         | linux user Gitea is running under |
| `giteaGroup`  | `git`         | linux group Gitea is running under |

```bash
# run update script with sudo, passing version number as option
sudo ./bin/update-gitea.sh 1.6.1
```

## Customization

The `custom/` folder maps to `/home/git/gitea/custom/` on the server. Its contents can be deployed via rsync with:

```bash
npm i
gulp deploy
```

[Gitea Docs: Customizing Gitea](https://docs.gitea.io/en-us/customizing-gitea/)

## Handy commands

```bash
sudo su git
cd /home/git

vi gitea/custom/conf/app.ini

# Backup
# https://docs.gitea.io/en-us/backup-and-restore/
sudo su git
./gitea dump -c gitea/custom/conf/app.ini

# Restart Gitea service
sudo service gitea restart

# nginx
sudo vi /etc/nginx/sites-enabled/gitea
sudo service nginx restart
```

## Gitea Documentation

- [docs.gitea.io](https://docs.gitea.io/)
